//遷移ボタン表示


$(function(){


	var setYokoTate = false;
	$(window).bind("orientationchange",function(){
		setYokoTate = true;
		if(Math.abs(window.orientation) === 90){
			setYoko();
		}else{
			setTate();
		}
	});
	
    if(window.orientation === 0){
		setTate();
	}

	/*----------------
	Ajax全般
	----------------*/
	//最小限
	var deferred = ajax_function();
    //Deferredオブジェクトを監視し、完了の通知がきたらdone内を実行
    deferred.done(function(){
	    if(window.orientation === 0){
			setTate();
	    }else{
			//setYoko();
		}
    });
	
	//ajax通信をし、返ってきた値をリストに追加する
    function ajax_function(){
        console.log('ajax start');
        //完了を知らせるためにDeferredオブジェクトを生成しそれを返す
        var deferred = new $.Deferred();
		$.ajax({
			url: "getVRLinkButtons.php?goggles=yes"
		}).done(function(data){
			if(data){
				$("#buttons").html(data);
				$("#buttons_switch").show();
			}else{
				$("#buttons_switch").hide();
			}
		}).fail(function(data){
        }).always(function(){
            //ajax処理を終了したことをDeferredオブジェクトに通知
            deferred.resolve();
		});


        //完了を知らせるためにDeferredオブジェクトを生成しそれを返す
        return deferred;
    }


	$("#buttons_switch").click(function(){
		if($("#buttons").css("display")=="block"){
			$("#buttons").hide();
		}else{
			$("#buttons").show();
		}
	});
});




	function setTate(){
				//縦
				$("#stage").hide();
				$("#buttons_switch").hide();
				$("#buttons").show();
				$("#buttons").css("left","0");
				$("#buttons").css("top","0");
				$("#buttons").css("width","100%");
				$("#buttons").css("height","100%");
				$(".vr_link_image_div").css('float','left');
				$(".vr_link_image_div").css('border','1px solid gray');
				$(".vr_link_image_div").css('width','300px');
				$(".vr_link_image_div").css('margin','10px 0px 0px 20px');
				$(".vr_link_image_div img").css('width','600px');
				$(".vr_link_image_div img").css('height','300px');
				$(".vr_link_image_div img").css('margin-left','-150px');
				$(".vr_link_image_div span").css('font-size','50px');
				$("#vr_image_now_div").css('display','block');
	}
	function setYoko(){
				//横
				$("#stage").show();
				$("#buttons_switch").hide();
				$("#buttons").hide();
	}

